include::../description.adoc[]

== Noncompliant Code Example

----
string tabInside = "A	B";  // Noncompliant, contains a tabulation
string zeroWidthSpaceInside = "foo​bar"; // Noncompliant, it contains a U+200B character inside
Console.WriteLine(zeroWidthSpaceInside); // Prints "foo?bar"
----

== Compliant Solution

----
string tabInside = "A\tB";  // Compliant, uses escaped value
string zeroWidthSpaceInside = "foo\u200Bbar";  // Compliant, uses escaped value
Console.WriteLine(zeroWidthSpaceInside); // Prints "foo?bar"
----

== Exceptions

Verbatim string literals have no escape character mechanism.

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::comments-and-links.adoc[]
endif::env-github,rspecator-view[]
